Bug 1461145 - dmlite: FTBFS in Fedora rawhide
dmlite: FTBFS in Fedora rawhide
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: dmlite (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ricardo Rocha
Fedora Extras Quality Assurance
http://apps.fedoraproject.org/koschei...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-13 12:23 EDT by Orion Poplawski
Modified: 2017-07-21 13:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-21 13:19:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2017-06-13 12:23:47 EDT
Description of problem:
Package dmlite fails to build from source in Fedora rawhide.

Version-Release number of selected component (if applicable):
0.8.6-2.fc27

Steps to Reproduce:
koji build --scratch f27 dmlite-0.8.6-2.fc27.src.rpm

Additional info:
This package is tracked by Koschei. See:
http://apps.fedoraproject.org/koschei/package/dmlite
Comment 1 Andrea 2017-07-10 11:13:23 EDT
i have fixed the build by removing the cppunit tests:

https://koji.fedoraproject.org/koji/taskinfo?taskID=20443250

from the build error it seems that the latest cppunit version requires cpp+11 

In file included from /usr/include/c++/7/type_traits:35:0,
                 from /usr/include/cppunit/tools/StringHelper.h:7,
                 from /usr/include/cppunit/TestAssert.h:8,
                 from /builddir/build/BUILD/dmlite-0.8.6/tests/cpp/test-base.cpp:1:
/usr/include/c++/7/bits/c++0x_warning.h:32:2: error: #error This file requires compiler and library support for the ISO C++ 2011 standard. This support must be enabled with the -std=c++11 or -std=gnu++11 compiler options.
 #error This file requires compiler and library support \

this is quite strange as i didn't find anything related to this on the release notes..

only this package is having this issue?

thanks
Andrea

Note You need to log in before you can comment on or make changes to this bug.